try:
    from . import ptext
except:
    import ptext

def printhelp():
    tx = 100
    ty = 140
    dty = 20
    texttodraw = """
    You are the General trying to keep the Rushing Ambassador out of the War Room.
    After all, you don't want the Ambassador to see the Big Board.
    
    By the way,
                You may be a psychopath.
    
    Press Arrows to move the General.
    Get close to a Chair and press P to pick it up.
    Get close to the door and press D to drop the chair to block the Ambassador.
    Avoid Flourinated Tap Water, it will drain your precious bodily fluids.
    Rain Water, or Pure Grain Alcohol, is good for you.
    Pure Grain Alcohol is not implemented yet.

    Press ESC once to play the game.
    Press ESC again to end.
    Next time you can press ESC to skip the intro.
    """

    for index, line in enumerate(texttodraw.split('\n')):
        ptext.draw(line, (tx, ty + index * dty), color = 'black')

def printend(scenario):
    tx = 200
    ty = 140
    dty = 20
    if scenario == 0:
        # esc pressed
        texttodraw = """
        ESC key detected.
        Thank you for playing.
        """

    elif scenario == 1:
        # You win
        texttodraw = """
        You Win!
        You were inside the secure War Room and the Rushing
        Ambassador was trapped outside.
        You were not able to prevent the Doomsday Device from 
        detonating and destroying civilization, but you can now
        move into well stocked mine shafts. In 93 years, your
        descendants can emerge and re-enact this scenario

        over and over again.
        """
    elif scenario == 2:
        # You Tie
        texttodraw = """
        It looks like it is a draw. You were inside the secure 
        War Room when the Doomsday Device detonated and destroyed
        civilization, but so was the Rushing Ambassador, AND
        he saw the Big Board. The end results are indeterminate.
        """

    elif scenario == 3:
        # You lose
        texttodraw = """
        Aw, too bad. You were inside the secure 
        War Room when the Doomsday Device detonated and destroyed
        civilization, but the Rushing Ambassador got in, AND
        he saw the Big Board, AND escaped. It looks like the 
        Rushings will be able to develop a mine shaft gap.
        """

    elif scenario == 4:
        # Wat
        texttodraw = """
        The game ended and I don't know why.
        Sorry.
        """

    else:
        # Wat
        texttodraw = """
        The game ended and I really don't know why.
        Sorry.
        """

    for index, line in enumerate(texttodraw.split('\n')):
        ptext.draw(line, (tx, ty + index * dty), color = 'black')

if __name__ == "__main__":
    # this path is for loacl testing
    import ptext
